[beta] Gets assets matched to a recall.

Gets assets matched to a recall by make, model, and year. Returns up to 100 assets per page. Keep recallId, order, and includeEnded unchanged when paging. Returns 404 when the recall is unknown to the organization. Returns 503 when a capped legacy match list is incomplete. Make/model/year ordering requires match-store reads.

Rate limit: 5 requests/sec (learn more about rate limits here).

To use this endpoint, select Read Campaigns under the Work Orders category when creating or editing an API token. Learn More.

Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
required

Unique ID of the recall. For NHTSA recalls, this is the campaign number. Maximum 64 characters.

string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

string
enum
Defaults to assetId

Sort order for the page. Defaults to assetId. makeModelYearAsc and makeModelYearDesc require match-store reads. Valid values: assetId, makeModelYearAsc, makeModelYearDesc

Allowed:
boolean
Defaults to true

When true, include retained ended associations (matchEnded). Defaults to true.

Responses

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json